import type { I18n } from 'vue-i18n';
import type { Router } from 'vue-router';
declare type Config = {
    i18n: I18n;
    router: Router;
    application_id: string;
};
export default function Main(config: Config): void;
export declare function setI18nLanguage(i18n: I18n): void;
export declare function loadLocaleMessages(i18n: I18n): Promise<void>;
export {};
